@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: 'Poppins', sans-serif;
}

:root{
    --bg-color: #081b29;
    --second-bg-color: #112e42;
    --text-color: #ededed;
    --main-color: #00abf0;
}

html{
    font-size: 62.5%;
    overflow: hidden;


    scroll-behavior: smooth;
}

body{
    background: var(--bg-color);
    color: var(--text-color);

}


.header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 2rem 9%;
    background: transparent;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
}

.logo{
    font-size: 2.5rem;
    color: var(--text-color);
    font-weight: 600;
}

.navbar a{
    font-size: 1.7rem;
    color: var(--text-color);
    font-weight: 500;
    margin-left: 3.5rem;
    transition: .3s;
}

.navbar a:hover,
.navbar a.active{
    color: var(--main-color);
}

/* Estilo especial para el botón de login */
.btn-login {
    background: #00b4d8;
    color: white;
    font-weight: bold;
    border-radius: 20px;
    padding: 8px 16px;
    transition: background 0.3s, transform 0.2s;
}

.btn-login:hover {
    background: #0096c7;
    transform: scale(1.05);
}


#menu-icon{
    font-size: 3.6rem;
    color: var(--text-color);
    cursor: pointer;
    display: none;
}

section{
    min-height: 100vh;
    padding: 10rem 9% 2rem;

    
}

.home{
    display: flex;
    align-items: center;
    padding: 0 9%;
    background-size: cover;
    background-position: left;
}
.bg-image {
    position: absolute;
    top: 0;
    right: 0;
    width: 50%; /* Ocupa la mitad derecha */
    height: 100%;
    background: url('imagenes/pngwing.com.png') no-repeat right center;
    background-size: contain;
}

.home-content{
    max-width: 60rem;
}

.home-content h1{
    font-size: 5.6rem;
    font-weight: 700;
    line-height: 1.3;
}

.home-content .text-animate{
    position: relative;
    width: 32.8rem;
}

.home-content .text-animate h3{
    font-size: 3.2rem;
    font-weight: 700;
    color: transparent;
    -webkit-text-stroke: .7px var(--main-color);
}

.home-content p{
    font-size: 1.6rem;
    margin: 2rem 0 4rem;
}

.btn-box{
    position: relative;
    display: flex;
    justify-content: space-between;
    width: 34.5rem;
    height: 5rem;
}

.btn-box .btn{
    position:relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 15rem;
    height: 100%;
    background: var(--main-color);
    border: .2rem solid var(--main-color);
    border-radius: .8rem;
    font-size: 1.8rem;
    font-weight: 600;
    letter-spacing: .1rem;
    color: var(--bg-color);
    z-index: 1;
    overflow: hidden;
    transition: .5s;
}

.btn-box .btn:hover{
    color: var(--main-color);
}

.btn-box .btn:nth-child(2){
    background: transparent;
    color: var(--main-color);
}

.btn-box .btn:nth-child(2):hover{
    color: var(--bg-color);
}

.btn-box .btn:nth-child(2)::before{
    background: var(--main-color);
}

.btn-box .btn::before{
    content:' ';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background: var(--bg-color);
    z-index: -1;
    transition: .5s;
}

.btn-box .btn:hover::before{
    width: 100%;

}

.home-sci{
    position: absolute;
    bottom: 4rem;
    width: 170px;
    display: flex;
    justify-content: space-between;
}

.home-sci a{
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    background: transparent;
    border: .2rem solid var(--main-color);
    border-radius: 50%;
    font-size: 20px;
    color: var(--main-color);
    z-index: 1;
    overflow: hidden;
    transition: .5s;
}

.home-sci a:hover{
    color: var(--bg-color);
}

.home-sci a::before{
    content:' ';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background: var(--main-color);
    z-index: -1;
    transition: .5s;
}

.home-sci a:hover::before{
    width: 100%;
}

.home-imgHover{
    position: absolute;
    top: 0;
    right: 0;
    width: 45%;
    height: 100%;
    background: transparent;
    transition: 3s;
}

.home-imgHover:hover{
    background: var(--bg-color);
    opacity: .8;
}

.about{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 2rem;
    background: var(--second-bg-color);
    padding-bottom: 6rem;
}

.heading{
    font-size: 5rem;
    margin-bottom: 3rem;
    text-align: center;
}

span{
    color: var(--main-color);
}

.about-img{
    position: relative;
    width: 25rem;
    height: 25rem;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.about-img img{
    width: 90%;
    border-radius: 50%;
    border: .2rem solid var(--main-color);
}

.about-img .circle-spin{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%) rotate(0);
    width: 100%;
    height: 100%;
    border-radius: 50%;
    border-top: .2rem solid var(--second-bg-color);
    border-bottom: .2rem solid var(--second-bg-color);
    border-left: .2rem solid var(--main-color);
    border-right: .2rem solid var(--main-color);
}

.about-content{
    text-align: center;
}

.about-content h3{
    font-size: 2.6rem;
}

.about-content p{
    font-size: 1.6rem;
    margin: 2rem 0 3rem;
}

.btn-box.btns{
    display: inline-block;
    width: 15rem;
}

.btn-box.btns a::before{
    background: var(--second-bg-color);
}

.education{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    min-height: auto;
    padding-bottom: 5rem;
}

.education .education-row{
    display: flex;
    flex-wrap: wrap;
    gap: 5rem;
}

.education-row .education-column{
    flex: 1 1 40rem;
}

.education-column .title{
    font-size: 2.5rem;
    margin: 0 0 1.5rem 2rem;
}

.education-column .education-box{
    border-left: .2rem solid var(--main-color);
}

.education-box .education-content{
    position: relative;
    padding-left: 2rem;
}

.education-box .education-content::before{
    content:' ';
    position: absolute;
    top: 0;
    width: 2rem;
    height: 2rem;
    background: var(--main-color);
    border-radius: 50%;
}
.education-content .content{
    position: relative;
    padding: 1.5rem;
    border: .2rem solid var(--main-color);
    border-radius: .6rem;
    margin-bottom: 2rem;
}

.education-content .content .year{
    font-size: 1.5rem;
    color: var(--main-color);
    padding-bottom: .5rem;
}

.education-content .content .year i{
    padding-right: .5rem;
}

.education-content .content h3{
    font-size: 2rem;
}

.education-content .content p{
    font-size: 1.6rem;
    padding-top: .5rem;
}